# Miscellaneous

## ⛺cfg.allowPlayerCustomTent

Allow players to place they own tents. ***False*** if you want to deactivate.

<pre class="language-lua"><code class="lang-lua"><strong>cfg.allowPlayerCustomTent = true
</strong></code></pre>

***

## 💬 cfg.getTentCommand

Set the command you want to use to place a tent.

<pre class="language-lua"><code class="lang-lua"><strong>cfg.getTentCommand = "getTent"
</strong></code></pre>

***

## 🛣️ cfg.allowWaypointToTent

This config allow the player to set a waypoint to their placed tent when trying to place one.

```lua
cfg.allowWaypointToTent = true
```

***

## ⏲️ cfg.tentLifeTime

Sets the number of hours a placed tent should stay on the server. ***(Tents are Persistent through reboots)***&#x20;

<pre class="language-lua"><code class="lang-lua"><strong>cfg.tentLifeTime = 72 * (60 * 60)
</strong></code></pre>

Here, 72 are the number of hours the tent will stay on the server before being deleted.&#x20;

***(Tents are deleted upon the next reboot, not directly during uptime)***

***

## 🏕️ cfg.modelSpawnedByServer

This config is useful if you use a custom prop for the tent. Its the name of the prop you want to spawn as a tent.

```lua
cfg.modelSpawnnedByServer = "prop_skid_tent_01"
```

***

## ⬇️ cfg.spawnOffset

This sets an offset for the z axis when spawning a tent. Change this if you change the base model of the tent.

```lua
cfg.spawnOffset = 0.38
```

***

## ↔️ cfg.scanRange

This is the range in meters for a tent to be seen by the script (Marker visible).

```lua
cfg.scanRange = 25.0
```

***

## 🔖 cfg.drawMarker

This config sets if the script should display a marker on the ground in front of the tent or not

```lua
cfg.drawMarker = true
```

***

## 📃 cfg.tentModel

These are the props recognised as tents for the script, the player can interact with.

```lua
cfg.tentModel = {
    "prop_skid_tent_01",
    "prop_skid_tent_03",
    "prop_skid_tent_01b",
}
```

***

## 🕺 cfg.animCycle

This is the table containing all the animations you can do in the tent, you can add or delete from the list.

The format should always be : `{DICTIONNARY, ANIM}`

A list of anims can be found on this [site](https://forge.plebmasters.de/animations)&#x20;

```lua
cfg.animCycle = {
    {"timetable@tracy@sleep@", "idle_c"},
    {"anim@heists@fleeca_bank@ig_7_jetski_owner", "owner_idle"},
    {"amb@world_human_sit_ups@male@idle_a", "idle_a"},
}
```

***

## 🗨️ hintToDisplay(text)

This is the function creating the notification at the top left of the screen.

You can change its core to modify it and integrate as you need.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pingouin.dev/scripts-docs/homeless-tent-script/general-config/miscellaneous.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
